Bug 499260 - firmware-tools and firmware-addon-dell are out of date
firmware-tools and firmware-addon-dell are out of date
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: firmware-tools (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Michael E Brown
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-05 16:41 EDT by Kyle Martin
Modified: 2009-06-15 22:15 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.1.2-4.3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 21:29:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
updated rpm that I built (54.52 KB, patch)
2009-05-05 17:48 EDT, Kyle Martin
no flags Details | Diff
updated rpm that I built (205.83 KB, patch)
2009-05-05 17:50 EDT, Kyle Martin
no flags Details | Diff

  None (edit)
Description Kyle Martin 2009-05-05 16:41:52 EDT
Description of problem:
firmware-tools and firmware-addon-dell packages out of date, cannot perform BIOS updates

Version-Release number of selected component (if applicable):
1.5.6-2.fc11.2 firmware-tools
1.4.8-2.fc11.2 firmware-addon-dell

How reproducible:
easily. 

Steps to Reproduce:
1. install firmware-tools, firmware-addon-dell.
2. run commands provided by dell to configure repos, located at http://linux.dell.com/wiki/index.php/Repository/firmware in terminal.
3. follow output from update process.
  
Actual results:
from terminal output,
50:system_bios_Inspiron_1420-a10-20.noarch from fwupdate has depsolving problems
  --> Missing Dependency: firmware-tools >= 2.0 is needed by package 50:system_bios_Inspiron_1420-a10-20.noarch (fwupdate)
50:system_bios_Inspiron_1420-a10-20.noarch from fwupdate has depsolving problems
  --> Missing Dependency: firmware-addon-dell >= 2.0 is needed by package 50:system_bios_Inspiron_1420-a10-20.noarch (fwupdate)
Error: Missing Dependency: firmware-tools >= 2.0 is needed by package 50:system_bios_Inspiron_1420-a10-20.noarch (fwupdate)
Error: Missing Dependency: firmware-addon-dell >= 2.0 is needed by package 50:system_bios_Inspiron_1420-a10-20.noarch (fwupdate)


Expected results:
sucessful bios update

Additional info:
srpms for current versions of both tools are provided on dell site, http://linux.dell.com/libsmbios/download/
Comment 1 Kyle Martin 2009-05-05 17:48:37 EDT
Created attachment 342544 [details]
updated rpm that I built

This is an rpm that I built using rpmbuild and the srpm provided at the dell website I mentioned in my original post, no further modifications were made from the srpm. I haven't yet tested this package yet in a bios update but I was hoping that some brave soul could test it to make sure it works on other systems as well.
Comment 2 Kyle Martin 2009-05-05 17:50:47 EDT
Created attachment 342545 [details]
updated rpm that I built

Similar to my previous post, this is an updated rpm that i built using rpmbuild and the srpm at dells website.
Comment 3 Kyle Martin 2009-05-05 18:21:59 EDT
Successfully performed BIOS update using these packages. No hiccups whatsoever.
Comment 4 Fedora Update System 2009-05-18 21:59:50 EDT
firmware-addon-dell-2.1.2-4.3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update firmware-addon-dell'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-5066
Comment 5 Fedora Update System 2009-05-18 22:04:52 EDT
firmware-addon-dell-2.1.2-4.3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update firmware-addon-dell'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5004
Comment 6 Fedora Update System 2009-05-18 22:05:17 EDT
firmware-tools-2.1.5-1.1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update firmware-tools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4998
Comment 7 Fedora Update System 2009-05-18 22:07:15 EDT
firmware-tools-2.1.5-1.1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update firmware-tools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-5109
Comment 8 Fedora Update System 2009-05-18 22:08:42 EDT
firmware-addon-dell-2.1.2-4.3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update firmware-addon-dell'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5117
Comment 9 Fedora Update System 2009-05-18 22:12:02 EDT
firmware-tools-2.1.5-1.1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update firmware-tools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5143
Comment 10 Bug Zapper 2009-06-09 11:12:50 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Fedora Update System 2009-06-15 21:29:33 EDT
firmware-tools-2.1.5-1.1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-06-15 21:46:38 EDT
firmware-addon-dell-2.1.2-4.3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-06-15 22:00:52 EDT
firmware-tools-2.1.5-1.1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-06-15 22:01:44 EDT
firmware-tools-2.1.5-1.1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-06-15 22:09:18 EDT
firmware-addon-dell-2.1.2-4.3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-06-15 22:15:14 EDT
firmware-addon-dell-2.1.2-4.3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.